## kjobwidgets 5.80.0

=== debian/changelog ===
kjobwidgets (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:25 +0000

kjobwidgets (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:29 +0000

=== debian/control ===
Source: kjobwidgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               graphviz,
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5widgetsaddons-dev (>= 5.80.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.14.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kjobwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets.git
Rules-Requires-Root: no

Package: libkf5jobwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5jobwidgets5-data
Replaces: libkf5jobwidgets5-data
Description: Widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the translations.

Package: libkf5jobwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.80.0~),
         libkf5jobwidgets5 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.80.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
Recommends: libkf5jobwidgets-doc (= ${source:Version})
Description: Widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 Contains development files for kjobwidgets.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5jobwidgets-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Widgets for tracking KJob instances (documentation)
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5jobwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5jobwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
Breaks: baloo-kf5 (<< 5.42),
        frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.42),
        kio (<< 5.42),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.42),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.54),
        libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.54),
        plasma-framework (<< 5.42),
        qml-module-org-kde-kio (<< 5.42)

## kjobwidgets 5.86.0

=== debian/changelog ===
kjobwidgets (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:34 +0100

kjobwidgets (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:27:49 +0100

kjobwidgets (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:00:49 +0100

kjobwidgets (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:17:46 +0100

kjobwidgets (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:32 +0100

kjobwidgets (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:29:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.14.0~),
                libx11-dev,
@@ -46,9 +46,9 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.80.0~),
+Depends: libkf5coreaddons-dev (>= 5.86.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.80.0~),
+         libkf5widgetsaddons-dev (>= 5.86.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Recommends: libkf5jobwidgets-doc (= ${source:Version})

## kjobwidgets 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KJobWidgets VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)


set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if (NOT ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()
if (NOT APPLE)
    find_package(X11)
endif()

set(HAVE_X11 ${X11_FOUND})

if (HAVE_X11)
    if (QT_MAJOR_VERSION STREQUAL "5")
        find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
    else()
        # qtx11extras_p.h is in Qt6Gui, which implied by the Qt6Widgets above
    endif()
endif()

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)


include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KJOBWIDGETS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kjobwidgets_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfigVersion.cmake"
                        SOVERSION 5)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
ecm_install_po_files_as_qm(po)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5JobWidgets")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5JobWidgets_QCH
        FILE KF5JobWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5JobWidgetsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5JobWidgetsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5JobWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5JobWidgetsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kjobwidgets_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kjobwidgets (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:27:44 +0000

kjobwidgets (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:08:57 +0000

kjobwidgets (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:47:53 +0000

kjobwidgets (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:16:47 +0000

kjobwidgets (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:25:02 +0000

kjobwidgets (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:40 +0900

kjobwidgets (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:22 +0000

kjobwidgets (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:21 +0000

kjobwidgets (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:57:26 +0900

kjobwidgets (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:47 +0900

kjobwidgets (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:04:16 +0900

kjobwidgets (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:06 +0900

kjobwidgets (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

kjobwidgets (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:15:10 +0900

kjobwidgets (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:19 +0900

kjobwidgets (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:34 +0900

kjobwidgets (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5widgetsaddons-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
-               libqt5x11extras5-dev (>= 5.14.0~),
+               libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf5jobwidgets-data
@@ -46,10 +45,10 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.86.0~),
+Depends: libkf5coreaddons-dev (>= 5.92.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.86.0~),
-         qtbase5-dev (>= 5.14.0~),
+         libkf5widgetsaddons-dev (>= 5.92.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5jobwidgets-doc (= ${source:Version})
 Description: Widgets for tracking KJob instances
@@ -89,7 +88,7 @@
 Multi-Arch: same
 Depends: libkf5jobwidgets-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -125,4 +124,4 @@
         libkf5texteditor5 (<< 5.54),
         libkf5webkit5 (<< 5.54),
         plasma-framework (<< 5.42),
-        qml-module-org-kde-kio (<< 5.42)
+        qml-module-org-kde-kio (<< 5.42),

## kjobwidgets 5.98.0

=== debian/changelog ===
kjobwidgets (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:32:38 +0100

kjobwidgets (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:04:54 +0100

kjobwidgets (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:30:43 +0100

kjobwidgets (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:23 +0100

kjobwidgets (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:08 +0100

kjobwidgets (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:23:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -45,9 +45,9 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.92.0~),
+Depends: libkf5coreaddons-dev (>= 5.98.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.92.0~),
+         libkf5widgetsaddons-dev (>= 5.98.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5jobwidgets-doc (= ${source:Version})

## kjobwidgets 5.102.0

=== debian/changelog ===
kjobwidgets (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:05 +0100

kjobwidgets (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:28 +0100

kjobwidgets (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:00 +0100

kjobwidgets (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:42 +0200

kjobwidgets (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:33 +0200

kjobwidgets (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:02 +0200

kjobwidgets (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kjobwidgets (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kjobwidgets (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5widgetsaddons-dev (>= 5.102.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -17,10 +17,10 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets.git
 Rules-Requires-Root: no
 
 Package: libkf5jobwidgets-data
@@ -45,9 +45,9 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.98.0~),
+Depends: libkf5coreaddons-dev (>= 5.102.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.98.0~),
+         libkf5widgetsaddons-dev (>= 5.102.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5jobwidgets-doc (= ${source:Version})

## kjobwidgets 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,29 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
+include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
+
 include(KDEGitCommitHooks)
 include(ECMQtDeclareLoggingCategory)
 include(ECMPoQmTools)
-
+include(ECMGenerateExportHeader)
+include(ECMSetupVersion)
+include(ECMGenerateHeaders)
+include(ECMDeprecationSettings)
+include(ECMAddQch)
+include(CMakePackageConfigHelpers)
 
 set(REQUIRED_QT_VERSION 5.15.2)
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
@@ -43,12 +48,6 @@
 find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
 find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
 
-
-include(ECMGenerateExportHeader)
-include(ECMSetupVersion)
-include(ECMGenerateHeaders)
-include(ECMAddQch)
-
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
@@ -58,9 +57,13 @@
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kjobwidgets_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5JobWidgetsConfigVersion.cmake"
                         SOVERSION 5)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
-ecm_install_po_files_as_qm(po)
+
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+)
+
+ecm_install_po_files_as_qm(poqm)
 
 add_subdirectory(src)
 if (BUILD_TESTING)
@@ -80,8 +83,6 @@
     )
     set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5JobWidgetsQchTargets.cmake\")")
 endif()
-
-include(CMakePackageConfigHelpers)
 
 configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5JobWidgetsConfig.cmake.in"

=== autotests/CMakeLists.txt ===

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMAddTests)

#TODO: add tests
#ecm_add_tests(
#   footest.cpp
#   LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
#)

=== src/CMakeLists.txt ===
configure_file(config-kjobwidgets.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kjobwidgets.h )

add_library(KF5JobWidgets)
add_library(KF5::JobWidgets ALIAS KF5JobWidgets)

set_target_properties(KF5JobWidgets PROPERTIES
    VERSION     ${KJOBWIDGETS_VERSION}
    SOVERSION   ${KJOBWIDGETS_SOVERSION}
    EXPORT_NAME JobWidgets
)

ecm_create_qm_loader(KF5JobWidgets kjobwidgets5_qt)

set(kjobwidgets_dbus_SRCS)
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    qt_add_dbus_interfaces(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewServer.xml )
    qt_add_dbus_interface(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobView.xml jobviewiface )

    qt_add_dbus_interfaces(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewServerV2.xml )
    qt_add_dbus_interface(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewV3.xml jobviewv3iface )
endif()

target_sources(KF5JobWidgets PRIVATE
    kabstractwidgetjobtracker.cpp
    kabstractwidgetjobtracker.h
    kabstractwidgetjobtracker_p.h
    kdialogjobuidelegate.cpp
    kdialogjobuidelegate.h
    kjobtrackerformatters.cpp
    kjobtrackerformatters_p.h
    kjobwidgets.cpp
    kjobwidgets.h
    kstatusbarjobtracker.cpp
    kstatusbarjobtracker.h
    kstatusbarjobtracker_p.h
    kwidgetjobtracker.cpp
    kwidgetjobtracker.h
    kwidgetjobtracker_p.h

    ${kjobwidgets_dbus_SRCS}
)
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    target_sources(KF5JobWidgets PRIVATE
        kuiserverjobtracker.cpp
        kuiserverjobtracker.h
        kuiserverjobtracker_p.h
        kuiserverv2jobtracker.cpp
        kuiserverv2jobtracker.h
        kuiserverv2jobtracker_p.h
    )
endif()

ecm_qt_declare_logging_category(KF5JobWidgets
    HEADER debug.h
    IDENTIFIER KJOBWIDGETS
    CATEGORY_NAME kf.jobwidgets
    OLD_CATEGORY_NAMES kf5.kjobwidgets
    DESCRIPTION "KJobWidgets"
    EXPORT KJOBWIDGETS
)

ecm_generate_export_header(KF5JobWidgets
    BASE_NAME KJobWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.79
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5JobWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets>")

target_link_libraries(KF5JobWidgets
   PUBLIC
      Qt${QT_MAJOR_VERSION}::Widgets
      KF5::CoreAddons    # KJob
   PRIVATE
      KF5::WidgetsAddons # KSqueezedTextLabel
)
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    target_link_libraries(KF5JobWidgets PRIVATE Qt${QT_MAJOR_VERSION}::DBus)
endif()

if (HAVE_X11)
    if (TARGET Qt5::X11Extras)
        target_link_libraries(KF5JobWidgets PRIVATE Qt5::X11Extras)
    elseif (TARGET Qt6::Gui)
        target_link_libraries(KF5JobWidgets PRIVATE Qt6::GuiPrivate) # qtx11extras_p.h
    endif()
endif ()

ecm_generate_headers(KJobWidgets_HEADERS
  HEADER_NAMES
  KAbstractWidgetJobTracker
  KDialogJobUiDelegate
  KUiServerJobTracker
  KUiServerV2JobTracker
  KJobWidgets
  KStatusBarJobTracker
  KWidgetJobTracker

  REQUIRED_HEADERS KJobWidgets_HEADERS
)

install(TARGETS KF5JobWidgets EXPORT KF5JobWidgetsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  org.kde.JobViewServer.xml
  DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
  RENAME kf5_org.kde.JobViewServer.xml)

install(FILES
  org.kde.JobView.xml
  DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
  RENAME kf5_org.kde.JobView.xml)

install(FILES
  org.kde.JobViewV2.xml
  DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
  RENAME kf5_org.kde.JobViewV2.xml)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kjobwidgets_export.h
  ${KJobWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KJOBWIDGETS
    FILE kjobwidgets.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5JobWidgets_QCH
        NAME KJobWidgets
        BASE_NAME KF5JobWidgets
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KJobWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            KF5CoreAddons_QCH
            Qt5Widgets_QCH
            Qt5Gui_QCH
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KJOBWIDGETS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KJobWidgets LIB_NAME KF5JobWidgets DEPS "widgets KCoreAddons" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kjobwidgets (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
-               libkf5coreaddons-dev (>= 5.102.0~),
-               libkf5widgetsaddons-dev (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5widgetsaddons-dev (>= 5.103.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -26,9 +26,9 @@
 Package: libkf5jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5jobwidgets5-data
-Replaces: libkf5jobwidgets5-data
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5jobwidgets5-data,
+Replaces: libkf5jobwidgets5-data,
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,12 +45,12 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.102.0~),
+Depends: libkf5coreaddons-dev (>= 5.103.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.102.0~),
+         libkf5widgetsaddons-dev (>= 5.103.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5jobwidgets-doc (= ${source:Version})
+Recommends: libkf5jobwidgets-doc (= ${source:Version}),
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -63,12 +63,12 @@
  to the given time. Returns the last user action timestamp.
  .
  Contains development files for kjobwidgets.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),
 
 Package: libkf5jobwidgets-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Widgets for tracking KJob instances (documentation)
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget

## kjobwidgets 5.104.0

=== debian/changelog ===
kjobwidgets (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:10 +0000

kjobwidgets (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:02 +0000

kjobwidgets (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:39 +0000

kjobwidgets (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:12 +0000

kjobwidgets (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:15:34 +0000

kjobwidgets (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:59:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5widgetsaddons-dev (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5widgetsaddons-dev (>= 5.104.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -17,18 +17,18 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf5jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5jobwidgets5-data,
-Replaces: libkf5jobwidgets5-data,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5jobwidgets5-data
+Replaces: libkf5jobwidgets5-data
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,12 +45,12 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.103.0~),
+Depends: libkf5coreaddons-dev (>= 5.104.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.103.0~),
+         libkf5widgetsaddons-dev (>= 5.104.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5jobwidgets-doc (= ${source:Version}),
+Recommends: libkf5jobwidgets-doc (= ${source:Version})
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -63,12 +63,12 @@
  to the given time. Returns the last user action timestamp.
  .
  Contains development files for kjobwidgets.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
 
 Package: libkf5jobwidgets-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Widgets for tracking KJob instances (documentation)
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget

## kjobwidgets 5.107.0

=== debian/changelog ===
kjobwidgets (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:36 +0200

kjobwidgets (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5widgetsaddons-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
+               libkf5coreaddons-dev (>= 5.107.0~),
+               libkf5widgetsaddons-dev (>= 5.107.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -17,18 +17,18 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets.git
 Rules-Requires-Root: no
 
 Package: libkf5jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5jobwidgets5-data
-Replaces: libkf5jobwidgets5-data
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5jobwidgets5-data,
+Replaces: libkf5jobwidgets5-data,
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,12 +45,12 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.104.0~),
+Depends: libkf5coreaddons-dev (>= 5.107.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.104.0~),
+         libkf5widgetsaddons-dev (>= 5.107.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5jobwidgets-doc (= ${source:Version})
+Recommends: libkf5jobwidgets-doc (= ${source:Version}),
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -63,12 +63,12 @@
  to the given time. Returns the last user action timestamp.
  .
  Contains development files for kjobwidgets.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),
 
 Package: libkf5jobwidgets-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Widgets for tracking KJob instances (documentation)
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget

## kjobwidgets 5.109.0

=== debian/changelog ===
kjobwidgets (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:49:55 +0100

kjobwidgets (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:00 +0100

kjobwidgets (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:11 +0100

kjobwidgets (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:46:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.107.0~),
-               libkf5coreaddons-dev (>= 5.107.0~),
-               libkf5widgetsaddons-dev (>= 5.107.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5widgetsaddons-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -17,18 +17,18 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf5jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5jobwidgets5-data,
-Replaces: libkf5jobwidgets5-data,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5jobwidgets5-data
+Replaces: libkf5jobwidgets5-data
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,12 +45,12 @@
 Package: libkf5jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.107.0~),
+Depends: libkf5coreaddons-dev (>= 5.109.0~),
          libkf5jobwidgets5 (= ${binary:Version}),
-         libkf5widgetsaddons-dev (>= 5.107.0~),
+         libkf5widgetsaddons-dev (>= 5.109.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5jobwidgets-doc (= ${source:Version}),
+Recommends: libkf5jobwidgets-doc (= ${source:Version})
 Description: Widgets for tracking KJob instances
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -63,12 +63,12 @@
  to the given time. Returns the last user action timestamp.
  .
  Contains development files for kjobwidgets.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
 
 Package: libkf5jobwidgets-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Widgets for tracking KJob instances (documentation)
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
